using System;
namespace Pecina
{
    internal class Program
    {
        static void UnosPodataka(out int n, out int l, out int[] ulaz1)
        {
            int[] ulaz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            n = ulaz[0];
            l = ulaz[1];
            ulaz1 = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
        }

        static int NalazernjeIndeksa(int n, int l, int[] ulaz)
        {
            for (int i = 0; i < n; i++)
            {
                if (ulaz[i] <= l) return i + 1;
            }
            return -1;
        }

        static void Main(string[] args)
        {
            UnosPodataka(out int n, out int l, out int[] ulaz);
            Console.WriteLine(NalazernjeIndeksa(n, l, ulaz));
        }
    }
}